## neutron-lbaas 9.2.0

=== debian/changelog ===
neutron-lbaas (2:9.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1688557).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2017 15:35:01 -0400

neutron-lbaas (2:9.0.0-0ubuntu2) yakkety; urgency=medium

  * debian/neutron-lbaas-common.install: Remove cron jobs since
    it will cause a race with L3 agents and neutron. (LP: #1623664).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 13:33:56 -0400

neutron-lbaas (2:9.0.0-0ubuntu1) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release for OpenStack Newton.
  * d/control: Align python-neutron with Newton final release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 15:59:04 -0400

neutron-lbaas (2:9.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:52:01 -0400

neutron-lbaas (2:9.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2016 11:59:42 +0100

neutron-lbaas (2:9.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/control,neutron-lbaas-agent.*: Drop v1 agent package as v1 has now
    been removed from upstream.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 02 Sep 2016 08:36:55 -0400

neutron-lbaas (2:9.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 14:03:26 -0400

neutron-lbaas (2:9.0.0~b1-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 17:08:51 -0400

## neutron-lbaas 9.2.2

=== debian/changelog ===
neutron-lbaas (2:9.2.2-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New stable point release for OpenStack Newton (LP: #1736150).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 10:12:53 -0500

neutron-lbaas (2:9.2.1-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:18:41 +0100

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-barbicanclient (>= 4.0.0),
                     python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneauth1 (>= 2.10.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0),
                     python-neutron-lib (>= 0.4.0),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pyasn1,
                     python-pyasn1-modules,
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-tempest (>= 1:12.1.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Homepage: http://github.com/openstack/neutron-lbaas

Package: python-neutron-lbaas
Architecture: all
Depends: alembic (>= 0.8.4),
         python-barbicanclient (>= 4.0.0),
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.18.2),
         python-keystoneauth1 (>= 2.10.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 0.4.0),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pyasn1,
         python-pyasn1-modules,
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

Package: neutron-lbaas-common
Architecture: all
Depends: haproxy,
         neutron-common,
         python-neutron-lbaas (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Breaks: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service common files.

Package: neutron-lbaasv2-agent
Architecture: all
Depends: neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.

## neutron-lbaas 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
neutron-lib>=1.1.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
pyasn1 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * debian/neutron-lbaas-common.install: Remove cron jobs since
    it will cause a race with L3 agents and neutron. (LP: #1623664) 
  * d/control: Remove duplicate depenendency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Mar 2017 13:04:16 -0400

neutron-lbaas (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 10:27:28 -0500

neutron-lbaas (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 12:31:35 -0500

neutron-lbaas (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 08:19:53 -0500

neutron-lbaas (2:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/rules: Add PBR_VERSION to set correct version for 
    package builds. 

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Dec 2016 07:57:09 -0500

neutron-lbaas (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 17 Nov 2016 08:51:22 -0500

=== debian/control ===
--- 
+++ 
@@ -10,46 +10,45 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.4),
+Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-barbicanclient (>= 4.0.0),
-                     python-coverage (>= 3.6),
+                     python-coverage (>= 4.0),
                      python-cryptography (>= 1.0),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
-                     python-hacking,
-                     python-keystoneauth1 (>= 2.10.0),
+                     python-hacking (>= 0.10.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.12),
-                     python-neutron (>= 2:9.0.0),
-                     python-neutron-lib (>= 0.4.0),
+                     python-netaddr (>= 0.7.13),
+                     python-neutron (>= 2:10.0.0~b1),
+                     python-neutron-lib (>= 1.1.0),
                      python-openssl (>= 0.14),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.10.0),
-                     python-oslo.log (>= 3.16.0),
-                     python-oslo.messaging (>= 5.2.0),
+                     python-oslo.db (>= 4.15.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.messaging (>= 5.14.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-pyasn1,
                      python-pyasn1-modules,
                      python-pymysql,
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 1.0),
+                     python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-tempest (>= 1:12.1.0),
+                     python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.2.3),
+                     python-webob (>= 1.6.0),
                      python-webtest (>= 2.0),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
@@ -57,30 +56,30 @@
 
 Package: python-neutron-lbaas
 Architecture: all
-Depends: alembic (>= 0.8.4),
+Depends: python-alembic (>= 0.8.10),
          python-barbicanclient (>= 4.0.0),
          python-cryptography (>= 1.0),
          python-eventlet (>= 0.18.2),
-         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneauth1 (>= 2.14.0),
          python-netaddr (>= 0.7.12),
-         python-neutron-lib (>= 0.4.0),
+         python-neutron-lib (>= 1.0.0),
+         python-neutron (>= 2:10.0.0~b1),
          python-openssl (>= 0.14),
          python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.10.0),
+         python-oslo.db (>= 4.11.0),
          python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.2.0),
+         python-oslo.messaging (>= 5.14.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pyasn1,
-         python-pyasn1-modules,
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Breaks: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
 Replaces: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
 Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
@@ -102,7 +101,7 @@
          python-neutron-lbaas (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Breaks: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
 Replaces: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
 Description: Neutron is a virtual network service for Openstack - common
@@ -122,7 +121,7 @@
 Depends: neutron-lbaas-common (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
  Neutron is a virtual network service for Openstack, and a part of
  Netstack. Just like OpenStack Nova provides an API to dynamically

## neutron-lbaas 10.0.0%7eb2

=== requirements.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 eventlet!=0.18.3,>=0.18.2 # MIT
 requests!=2.12.2,>=2.10.0 # Apache-2.0
 netaddr!=0.7.16,>=0.7.13 # BSD
-neutron-lib>=1.1.0 # Apache-2.0
+neutron-lib>=1.0.0 # Apache-2.0
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
-alembic>=0.8.10 # MIT
+alembic>=0.8.4 # MIT
 six>=1.9.0 # MIT
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
-oslo.db>=4.15.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
 oslo.messaging>=5.14.0 # Apache-2.0
 oslo.reports>=0.6.0 # Apache-2.0
@@ -24,4 +24,4 @@
 pyOpenSSL>=0.14 # Apache-2.0
 stevedore>=1.17.1 # Apache-2.0
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
-keystoneauth1>=2.18.0 # Apache-2.0
+keystoneauth1>=2.14.0 # Apache-2.0

## neutron-lbaas 10.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0.0,>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
requests!=2.12.2,>=2.10.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
neutron-lib>=1.1.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
pyasn1 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:10.0.1-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 28 Jul 2017 14:30:28 +0000

neutron-lbaas (2:10.0.1-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:37:32 +0100

## neutron-lbaas 11.0.0

=== debian/changelog ===
neutron-lbaas (2:11.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:04:30 +0100

neutron-lbaas (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:38:10 -0400

neutron-lbaas (2:11.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:47 -0400

neutron-lbaas (2:11.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:38:59 -0400

neutron-lbaas (2:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:36:28 +0100

neutron-lbaas (2:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:08:43 +0100

neutron-lbaas (2:11.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 16:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,48 +7,47 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-alembic (>= 0.8.10),
                      python-barbicanclient (>= 4.0.0),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.13),
-                     python-neutron (>= 2:10.0.0~b1),
-                     python-neutron-lib (>= 1.1.0),
+                     python-neutron (>= 2:11.0.0~),
+                     python-neutron-lib (>= 1.9.0),
                      python-openssl (>= 0.14),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.db (>= 4.15.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.db (>= 4.24.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-pyasn1,
                      python-pyasn1-modules,
                      python-pymysql,
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-requests-mock (>= 1.1),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
-                     python-webtest (>= 2.0),
+                     python-webob (>= 1.7.1),
 Standards-Version: 3.9.6
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
@@ -58,26 +57,26 @@
 Architecture: all
 Depends: python-alembic (>= 0.8.10),
          python-barbicanclient (>= 4.0.0),
-         python-cryptography (>= 1.0),
+         python-cryptography (>= 1.6),
          python-eventlet (>= 0.18.2),
-         python-keystoneauth1 (>= 2.14.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-netaddr (>= 0.7.12),
-         python-neutron-lib (>= 1.0.0),
-         python-neutron (>= 2:10.0.0~b1),
+         python-neutron-lib (>= 1.9.0),
+         python-neutron (>= 2:11.0.0~),
          python-openssl (>= 0.14),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.db (>= 4.11.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.14.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.db (>= 4.24.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-pyasn1,
-         python-requests (>= 2.10.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          ${misc:Depends},
          ${python:Depends}
 Breaks: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),

## neutron-lbaas 11.0.1

=== debian/changelog ===
neutron-lbaas (1:11.0.1-2) unstable; urgency=medium

  * Blacklist broken test:TestTLSParseUtils.test_alt_subject_name_parses()
    (Closes: #882260).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Nov 2017 16:59:55 +0000

neutron-lbaas (1:11.0.1-1) unstable; urgency=medium

  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Standards-Version is now 4.1.1.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove Breaks+Replaces, now obsolete after Stretch release.
  * Rebased / removed patches.
  * Removed build-depends: dh-systemd.
  * Removed definition of PYTHONS in debian/rules, already defined in
    openstack-pkg-tools.
  * Fix debian/neutron-lbaas-agent.install (removed files installed in
    debian/rules).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 09:30:01 +0100

=== debian/control ===
Source: neutron-lbaas
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-barbicanclient (>= 4.0.0),
 python-coverage,
 python-cryptography,
 python-eventlet,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.1.0),
 python-mock,
 python-mysqldb,
 python-netaddr,
 python-neutron (>= 2:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-openssl,
 python-oslo.concurrency,
 python-oslo.config (>= 1:4.0.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.reports,
 python-oslo.serialization,
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-oslosphinx,
 python-oslotest,
 python-psycopg2,
 python-pyasn1,
 python-pyasn1-modules,
 python-pymysql,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 1.20.0),
 python-tempest (>= 1:16.1.0),
 python-testresources,
 python-testscenarios,
 python-testtools,
 python-webob (>= 1.7.1),
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/deb-neutron-lbaas.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/deb-neutron-lbaas.git
Homepage: https://github.com/openstack/neutron-lbaas

Package: neutron-lbaas-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS agent.

Package: neutron-lbaas-common
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains common files for the Neutron load balancer.

Package: neutron-lbaasv2-agent
Architecture: all
Depends:
 adduser,
 debconf,
 lsb-base,
 neutron-common,
 neutron-lbaas-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Loadbalancer-as-a-Service driver for OpenStack networking - Agent v2
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the LBaaS v2 agent.

Package: python-neutron-lbaas
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python-barbicanclient (>= 4.0.0),
 python-cryptography,
 python-eventlet,
 python-keystoneauth1 (>= 3.1.0),
 python-netaddr,
 python-neutron (>= 2:11.0.0),
 python-neutron-lib (>= 1.9.0),
 python-openssl,
 python-oslo.config (>= 1:4.0.0),
 python-oslo.db (>= 4.24.0),
 python-oslo.log (>= 3.22.0),
 python-oslo.messaging (>= 5.24.2),
 python-oslo.reports,
 python-oslo.serialization,
 python-oslo.service,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pyasn1,
 python-pyasn1-modules,
 python-pymysql,
 python-requests (>= 2.14.2),
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 iputils-arping,
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron - Python 2.7 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 library for the Neutron load balancer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	# lbaas_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-lbaas-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini \
		--wrap-width 140 \
		--namespace neutron.lbaas.agent \
		--namespace oslo.log
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/lbaas_agent.ini DEFAULT interface_driver openvswitch

	# neutron_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/neutron_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas

	# services_lbaas.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf \
		--wrap-width 140 \
		--namespace neutron.lbaas.service
	pkgos-fix-config-default $(CURDIR)/debian/neutron-lbaas-common/etc/neutron/services_lbaas.conf service_providers service_provider LOADBALANCERV2:Haproxy:neutron_lbaas.drivers.haproxy.plugin_driver.HaproxyOnHostPluginDriver:default

	dh_install -O--buildsystem=python_distutils --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'neutron_lbaas\.tests\.unit\.(?!(.*test_synchronous_driver.TestHaproxyNSDriver.test_cleanup_name.*|.*test_v2_plugin_driver.TestLBaaSDriver.test_wf_created_on_first_member_creation.*|.*test_v2_plugin_driver.TestLBaaSDriverRestClient.test_flip_servers.*|.*common\.tls_utils\.test_cert_parser\.TestTLSParseUtils\.test_alt_subject_name_parses.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## neutron-lbaas 11.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
requests>=2.14.2 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
neutron-lib>=1.9.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
pyasn1!=0.2.3 # BSD
pyasn1-modules # BSD
pyOpenSSL>=0.14 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
keystoneauth1>=3.1.0 # Apache-2.0

=== debian/changelog ===
neutron-lbaas (2:11.0.3-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 May 2018 21:47:47 +0000

neutron-lbaas (2:11.0.3-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1763320).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 May 2018 09:39:34 -0400

neutron-lbaas (2:11.0.2-0ubuntu1) artful; urgency=medium

  * d/control: Add rename package to BDs as d/rules needs it and it
    is no longer available by default in Artful.
  * d/gbp.conf: Set debian-branch to stable/pike.
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:53:40 -0500

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: python-alembic (>= 0.8.10),
                     python-barbicanclient (>= 4.0.0),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.6),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutron (>= 2:11.0.0~),
                     python-neutron-lib (>= 1.9.0),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-pyasn1,
                     python-pyasn1-modules,
                     python-pymysql,
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     rename,
Standards-Version: 3.9.6
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/neutron-lbaas
Homepage: http://github.com/openstack/neutron-lbaas

Package: python-neutron-lbaas
Architecture: all
Depends: python-alembic (>= 0.8.10),
         python-barbicanclient (>= 4.0.0),
         python-cryptography (>= 1.6),
         python-eventlet (>= 0.18.2),
         python-keystoneauth1 (>= 3.1.0),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 1.9.0),
         python-neutron (>= 2:11.0.0~),
         python-openssl (>= 0.14),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pyasn1,
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Breaks: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~b3-0ubuntu2~),
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

Package: neutron-lbaas-common
Architecture: all
Depends: haproxy,
         neutron-common,
         python-neutron-lbaas (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Replaces: neutron-lbaas-agent (<< 2:7.0.0~rc2-0ubuntu2~),
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service common files.

Package: neutron-lbaasv2-agent
Architecture: all
Depends: neutron-lbaas-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - LBaaSv2 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service v2 (LBaaSv2) agent.
